##############################################################################
# Copyright (c) 2013-2017, Lawrence Livermore National Security, LLC.
# Produced at the Lawrence Livermore National Laboratory.
#
# This file is part of Spack.
# Created by Todd Gamblin, tgamblin@llnl.gov, All rights reserved.
# LLNL-CODE-647188
#
# For details, see https://github.com/spack/spack
# Please also see the LICENSE file for our notice and the LGPL.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License (as
# published by the Free Software Foundation) version 2.1, February 1999.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the IMPLIED WARRANTY OF
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the terms and
# conditions of the GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##############################################################################
from spack import *


class Patchelf(AutotoolsPackage):
    """
    PatchELF is a small utility to modify the
    dynamic linker and RPATH of ELF executables.
    """

    homepage = "https://nixos.org/patchelf.html"
    url = "http://nixos.org/releases/patchelf/patchelf-0.8/patchelf-0.8.tar.gz"

    list_url = "http://nixos.org/releases/patchelf/"
    list_depth = 1

    version('0.9', '3c265508526760f233620f35d79c79fc')
    version('0.8', '407b229e6a681ffb0e2cdd5915cb2d01')
