##############################################################################
# Copyright (c) 2013-2016, Lawrence Livermore National Security, LLC.
# Produced at the Lawrence Livermore National Laboratory.
#
# This file is part of Spack.
# Created by Todd Gamblin, tgamblin@llnl.gov, All rights reserved.
# LLNL-CODE-647188
#
# For details, see https://github.com/spack/spack
# Please also see the LICENSE file for our notice and the LGPL.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License (as
# published by the Free Software Foundation) version 2.1, February 1999.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the IMPLIED WARRANTY OF
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the terms and
# conditions of the GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##############################################################################
from spack import *


class PsLite(CMakePackage):
    """ps-lite is A light and efficient implementation
    of the parameter server framework."""

    homepage = "https://github.com/dmlc/ps-lite"
    url      = "https://github.com/dmlc/ps-lite.git"

    version('master', git='https://github.com/dmlc/ps-lite.git', branch='master')
    version('20170328', git='https://github.com/dmlc/ps-lite.git',
            commit='acdb698fa3bb80929ef83bb37c705f025e119b82')

    depends_on('protobuf@3:')
    depends_on('zeromq')

    patch('cmake.patch')
